[P044]Claim (Translated)

get
https://connect.patsnap.com/basic-patent-data/claim-data-translated
Try in Sandbox

Receive patent translated claims by patent_id or patent_number (support Chinese, English, Japanese)

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
lang
stringen
translation language, support cn, en, jp
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac,7353c607-0594-4592-b99e-aea9f517de17
patent_id
patent_number
stringCN101595528B
patent_number
replace_by_related
integer<int32>0
When the claims of current patent is unavailable, whether to replace it with the claims of its family patent?default not to replace: 1. Yes 0: No

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
claims
string1. A memory device (100, 610), which include:an array (104, 300) of non-volatile memory cells (208, 308) organized into a plurality of erasable physical blocks (340); andcircuitry (108, 110, 116) for controlling and/or accessing the array (104, 300) of non-volatile memory cells (208, 308);wherein said circuitry (108, 110, 116) for controlling and/or accessing is adapted to define a first logical erase block having a predetermined number of one or more physical blocks (340) and a predetermined number of two or the second logical erase block of more than two physical blocks (340);wherein the second logical erase block has a different number of physical blocks than the first logical erase block (340);andWherein the circuit is adapted to simultaneously select the two or more physical blocks of a second logical erase block during an erase operation.2. The memory device (100, 610) of claim 1, further include:wherein said circuitry (108, 110, 116) for controlling and/or accessing is further adapted to define a third logical erase block having a predetermined number of three or more physical blocks (340); andWherein the third logical erase block has a different number of physical blocks than both the first logical erase block and the second logical erase block (340).3. The memory device (100, 610) of claim 1, wherein one or more physical blocks (340) of the second logical erase block are selectable in response to more than one address signal.
translated claims
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
pn_related
stringCN103106923A
patent number of related patent (provided only if the substitute is made using the text of the same family patent)
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "claims": "1. A memory device (100, 610), which include:an array (104, 300) of non-volatile memory cells (208, 308) organized into a plurality of erasable physical blocks (340); andcircuitry (108, 110, 116) for controlling and/or accessing the array (104, 300) of non-volatile memory cells (208, 308);wherein said circuitry (108, 110, 116) for controlling and/or accessing is adapted to define a first logical erase block having a predetermined number of one or more physical blocks (340) and a predetermined number of two or the second logical erase block of more than two physical blocks (340);wherein the second logical erase block has a different number of physical blocks than the first logical erase block (340);andWherein the circuit is adapted to simultaneously select the two or more physical blocks of a second logical erase block during an erase operation.2. The memory device (100, 610) of claim 1, further include:wherein said circuitry (108, 110, 116) for controlling and/or accessing is further adapted to define a third logical erase block having a predetermined number of three or more physical blocks (340); andWherein the third logical erase block has a different number of physical blocks than both the first logical erase block and the second logical erase block (340).3. The memory device (100, 610) of claim 1, wherein one or more physical blocks (340) of the second logical erase block are selectable in response to more than one address signal.",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "pn_related": "CN103106923A"
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms